engine-backup(8)

NAME
engine-backup - backup and restore ovirt-engine environment

SYNOPSIS
engine-backup [--mode=MODE] [--scope=SCOPE] [--file=FILE] [--log=LOG_FILE]

MODES
backup backup system into FILE
restore restore system from FILE

SCOPES
all complete backup/restore (default)
db database only

OPTIONS

--file=FILE
    file to use during backup or restore

--log=LOG_FILE
    log file to use

--change-db-credentials
    activate the following options, to restore the database to a different location etc. If used, existing credentials are ignored.

--db-host=HOST
    set database host

--db-port=PORT
    set database port

--db-user=USER
    set database user

--db-passfile=PASS_FILE
    read database password from file

--db-password=PASSWORD
    set database password. If PASSWORD is empty, the password is read interactively.

--db-name=NAME
    set database name

--db-secured
    set a secured connection

--db-secured-validation
    validate host

ENVIRONMENT VARIABLES

OVIRT_ENGINE_DATABASE_PASSWORD
    Database password as if provided by --db-password=PASSWORD option.

NOTES
See http://www.ovirt.org/Ovirt-engine-backup for more info.

To create a new user/database:

    create role <user> with login encrypted password '<password>';

    create database <database> owner <user> template template0 encoding 'UTF8' lc_collate 'en_US.UTF-8' lc_ctype 'en_US.UTF-8';

Open access in the firewall/iptables/etc. to the postgresql port, 5432/tcp by default.

Locate pg_hba.conf within your distribution, common locations are:

    /var/lib/pgsql/data/pg_hba.conf
    /etc/postgresql-*/pg_hba.conf
    /etc/postgresql/*/main/pg_hba.conf

and open access there by adding the following lines:

    host <database> <user> 0.0.0.0/0 md5 host <database> <user> ::0/0 md5

Replace <user>, <password>, <database> with appropriate values.

BUGS
Report bugs to <http://bugzilla.redhat.com>

COPYRIGHT
Copyright 2010-2013 Red Hat, Inc.